org.apache.ignite.internal.sql.command

## Class SqlIndexColumn

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlIndexColumn

    public class SqlIndexColumn
    extends Object

Index column definition.

### Constructor Summary

Constructors
Constructor and Description
`SqlIndexColumn(String name, boolean desc)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `descending()`
`String` `name()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlIndexColumn

    public SqlIndexColumn(String name,
                          boolean desc)

Constructor.

Parameters:
  `name` - Column name.
  `desc` - Descending flag.

### Method Detail

#### name

    public String name()

Returns:
  Column name.

#### descending

    public boolean descending()

Returns:
  Descending flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019